//Electronics Devices below the radar parabole

#declare C_Devices = color srgb <79, 107, 90>/255; //Kaki green
#declare C_Metal = color srgb 0.75;
#declare C_BrightMetal = color srgb 0.85;
#declare C_Red = color srgb <1, 0, 0>;
#declare C_Blue = color srgb <0, 0, 1>;
#declare C_Green = color srgb <0, 1, 0>;
#declare C_White = color srgb 1;
#declare C_Yellow = color srgb <1, 1, 0>;

#declare T_MetalRods = texture{ pigment{C_Metal} finish{ metallic specular 0.2 roughness 0.3} }
#declare T_Boxes = texture{pigment{C_Devices} finish{metallic roughness 0.2} }
#declare T_BrightMetal = texture{ pigment{ C_BrightMetal } finish{ metallic specular 0.2 roughness 0.3 } }

#declare RodsWidth = 0.05;
#declare VerticalRod = box{< -RodsWidth/2, 0, 0 >,< RodsWidth/2, 2, -RodsWidth>}
#declare HorizontalRod = box{< -0.75, 0, -RodsWidth>,< 0.75, RodsWidth, -RodsWidth*2>}

//The box with the buttons and all the tunes, buttons, etc...
#declare TopBox = box{<-0.25, 0, 0>,<0.25, 0.725, -0.25>}

#declare BottomBoxWidth = 0.6;
#declare BottomBoxHeight = 0.75;
#declare BottomBoxDepth = 0.5;
#declare BottomBox = box{<-BottomBoxWidth, 0, 0>,<0, BottomBoxHeight, -BottomBoxDepth> texture{T_Boxes} }
#declare BottomBoxLock = union{
									prism{ linear_sweep linear_spline 0, 0.025, 5, 	< -BottomBoxWidth / 2, 0>, 
																					< -BottomBoxWidth / 4, -BottomBoxWidth / 4>, 
																					< BottomBoxWidth / 4, -BottomBoxWidth / 4>, 
																					< BottomBoxWidth / 2, 0 >,
																					< -BottomBoxWidth / 2, 0>
										texture{ T_Boxes }
									}
									box{< -BottomBoxWidth / 4, 0, -BottomBoxWidth / 4 >,< BottomBoxWidth / 4, 0.03, -BottomBoxWidth / 4 * 3 / 4>  
										pigment{ C_Yellow } 
									}
									box{ < -BottomBoxWidth / 8, 0, -BottomBoxWidth / 4 >,< BottomBoxWidth / 8, 0.01, -BottomBoxWidth/2 > 
										texture{ T_BrightMetal }
									}
									prism{ linear_sweep linear_spline 0, 0.02, 7,   < -BottomBoxWidth / 8 * 1.5, -BottomBoxWidth / 2 >,
																					< -BottomBoxWidth / 8 * 1.5, -BottomBoxWidth / 2 - BottomBoxWidth / 8 >,
																					< -BottomBoxWidth / 8 * 0.5, -BottomBoxWidth / 2 - BottomBoxWidth / 4 >,
																					<  BottomBoxWidth / 8 * 0.5, -BottomBoxWidth / 2 - BottomBoxWidth / 4 >,
																					<  BottomBoxWidth / 8 * 1.5, -BottomBoxWidth / 2 - BottomBoxWidth / 8 >,
																					<  BottomBoxWidth / 8 * 1.5, -BottomBoxWidth / 2 >,
																					< -BottomBoxWidth / 8 * 1.5, -BottomBoxWidth / 2 >
										texture{ T_MetalRods }
									}
									rotate -90*x translate <-BottomBoxWidth/2, BottomBoxHeight, -BottomBoxDepth>
							}
											
#declare CompleteBottomBox = union{ object{BottomBox} object{BottomBoxLock} }

#declare WireColor = cylinder{<0, 0, -0.25>,<0, 1.5, -0.25>, 0.01}
#declare WireLarge = cylinder{< 0, 0, -0.25>,< 0, 1.5, -0.25>, 0.02}

#declare ElectronicsDevices =
	union{
		  object{HorizontalRod translate 1.75*y texture{T_MetalRods}}
		  object{HorizontalRod translate 1.25*y texture{T_MetalRods}}
		  object{HorizontalRod translate 0.375*y texture{T_MetalRods}}
		  object{VerticalRod translate <0.75, 0, 0> texture{T_MetalRods} }
		  object{VerticalRod translate <-0.75, 0, 0> texture{T_MetalRods} }
		  
		  object{TopBox translate <-0.5, 1.375, -RodsWidth*2> texture{T_Boxes} }
		  object{TopBox translate <0.5, 1.375, -RodsWidth*2> texture{T_Boxes} }
		  
		  object{CompleteBottomBox translate <-0.05, 0, -RodsWidth*2> }
		  
		  //Left box wires
		  object{WireColor translate -0.625*x pigment{C_Red} }
		  object{WireColor translate -0.5*x pigment{C_Blue} }
		  object{WireColor translate -0.375*x pigment{C_Green} }
		  
		  //Right box wires
		  object{WireColor translate 0.625*x pigment{C_Red} }
		  object{WireColor translate 0.5*x pigment{C_Blue} }
		  object{WireColor translate 0.375*x pigment{C_Green} }
		  object{WireLarge translate 0.7*x pigment{C_White} }
		  object{WireLarge translate 0.3*x pigment{C_White} }
	}
