#version 3.7;

global_settings{ assumed_gamma 1.0 }

#declare RadiusNumber = 48;
#declare RadiusLength = 4;
#declare PointRadius = RadiusLength / 160;
#declare PtsPerRadius = 16;
#declare PtColor = srgbft <0, 0, 0, 0, 0.81>; 

camera{
	orthographic
	location <0, 20, 0>
	look_at 0
	right RadiusLength*2*x
	up RadiusLength*2*z
	sky z
	direction -y
}

light_source{ <0, 100000, 0> color srgb 1 }

#for( Radius, 0, RadiusNumber - 1)
	#for( PtNumber, 1, PtsPerRadius - 1 )
		//Make on line Pt
		disc{ vrotate(< RadiusLength / PtsPerRadius * PtNumber, 0, 0 >, < 0, 360 / RadiusNumber * Radius, 0 > ), y, PointRadius pigment{ PtColor } }
		
		//Make inbetween lines point
		disc{ vrotate(< RadiusLength / PtsPerRadius * (PtNumber + 0.5), 0, 0 >, < 0, 360 / RadiusNumber * Radius + 360 / RadiusNumber / 2, 0 > ), y, PointRadius pigment{ PtColor } }
	#end
#end